Bug 1333695 - gcc build inconsistency - FTBFS in gas/config/tc-arm.c
Summary: gcc build inconsistency - FTBFS in gas/config/tc-arm.c
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cross-binutils
Version: 24
Hardware: ppc64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: David Howells
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: ZedoraTracker PPCTracker
TreeView+ depends on / blocked
 
Reported: 2016-05-06 07:37 UTC by Dan Horák
Modified: 2016-05-20 23:52 UTC (History)
8 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-05-20 17:41:19 UTC


Attachments (Terms of Use)
Proposed patch (566 bytes, patch)
2016-05-06 10:30 UTC, Nick Clifton
no flags Details | Diff

Description Dan Horák 2016-05-06 07:37:42 UTC
Build fails on ppc64/pcc64le, s390(x) because of

...
gcc -DHAVE_CONFIG_H -I. -I../../binutils-2.26/gas  -I. -I../../binutils-2.26/gas -I../bfd -I../../binutils-2.26/gas/config -I../../binutils-2.26/gas/../include -I../../binutils-2.26/gas/.. -I../../binutils-2.26/gas/../bfd -DLOCALEDIR="\"/usr/share/locale\""  -W -Wall -Wstrict-prototypes -Wmissing-prototypes -Wshadow -Werror -I../../binutils-2.26/gas/../zlib -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -m64 -mcpu=power8 -mtune=power8 -Wno-unused-const-variable -c -o tc-arm.o `test -f 'config/tc-arm.c' || echo '../../binutils-2.26/gas/'`config/tc-arm.c
../../binutils-2.26/gas/config/tc-arm.c: In function 'parse_operands':
../../binutils-2.26/gas/config/tc-arm.c:1952:7: error: 'firsttype.index' may be used uninitialized in this function [-Werror=maybe-uninitialized]
   if ((a->defined & NTA_HASINDEX) != 0
       ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
       && (a->index != b->index))
       ^~~~~~~~~~~~~~~~~~~~~~~~~
../../binutils-2.26/gas/config/tc-arm.c:1983:27: note: 'firsttype.index' was declared here
   struct neon_typed_alias firsttype;
                           ^~~~~~~~~
cc1: all warnings being treated as errors
...

for full logs please see
http://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=3359797
http://s390.koji.fedoraproject.org/koji/taskinfo?taskID=2215432


Version-Release number of selected component (if applicable):
cross-binutils-2.26-6.fc24
cross-binutils-2.26-7.fc25

Comment 1 Nick Clifton 2016-05-06 10:30 UTC
Created attachment 1154545 [details]
Proposed patch

Hi Guys,

  I am currently unable to reproduce this problem locally, but a fix for the
  problem looks to be simple enough.  Could somebody please try out this patch
  and let me know if it works ?

Cheers
  Nick

Comment 2 Dan Horák 2016-05-06 12:13:53 UTC
Looks good if I see correctly, the build is still running, but it's over the arm cross tools.

Comment 3 David Howells 2016-05-06 13:51:56 UTC
What version of gcc?  I presume it's the system gcc in each case?

It should be noted that this builds fine for i386, x86_64 and armv7hl.

Comment 4 Jakub Jelinek 2016-05-06 13:58:46 UTC
If you use -Werror, you need to deal with potential false positives.

Comment 5 Dan Horák 2016-05-06 14:05:40 UTC
(In reply to David Howells from comment #3)
> What version of gcc?  I presume it's the system gcc in each case?

gcc-6.1.1-1.fc25.s390x and gcc-6.0.0-0.19.fc24.s390, so seems gcc6 related
 
> It should be noted that this builds fine for i386, x86_64 and armv7hl.

right, also ok on aarch64

Comment 6 Nick Clifton 2016-05-06 15:31:55 UTC
FYI - this problem has now been fixed in the upstream sources by this patch:

https://sourceware.org/ml/binutils/2016-04/msg00466.html

Comment 7 Nick Clifton 2016-05-09 16:48:20 UTC
Right - I have now checked the patch in.  So the fix should be available in:

 binutils-2.26-19.fc24
 binutils-2.26-21.fc25

Comment 8 David Howells 2016-05-09 19:56:05 UTC
Reverting to assigned as the bug is against cross-binutils, not binutils.

Comment 9 Fedora Update System 2016-05-10 12:21:13 UTC
cross-binutils-2.26-8.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-e8448104d4

Comment 10 Fedora Update System 2016-05-10 12:21:23 UTC
cross-binutils-2.26-8.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-c071ab54c4

Comment 11 Fedora Update System 2016-05-10 12:21:30 UTC
cross-binutils-2.26-8.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-db2289fd5b

Comment 12 Fedora Update System 2016-05-12 09:26:10 UTC
cross-binutils-2.26-8.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-db2289fd5b

Comment 13 Fedora Update System 2016-05-12 09:36:44 UTC
cross-binutils-2.26-8.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-c071ab54c4

Comment 14 Fedora Update System 2016-05-12 09:43:22 UTC
cross-binutils-2.26-8.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-e8448104d4

Comment 15 Fedora Update System 2016-05-20 17:41:15 UTC
cross-binutils-2.26-8.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2016-05-20 23:50:39 UTC
cross-binutils-2.26-8.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2016-05-20 23:52:27 UTC
cross-binutils-2.26-8.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.